
package hrt;

import integratedtoolkit.types.annotations.Constraints;
import integratedtoolkit.types.annotations.Method;
import integratedtoolkit.types.annotations.Parameter;
import integratedtoolkit.types.annotations.Parameter.Direction;
import integratedtoolkit.types.annotations.Parameter.Type;

public interface HRTItf {
	
        @Method(declaringClass = "hrt.HRTImpl")
        @Constraints(processorCPUCount = 1, memoryPhysicalSize = 1.0f)
        void modeling(
        		
        		//TODO: Complete the modeling method interface
        		@Parameter(type = Type.STRING, direction = Direction.IN)
        		String scriptPath,

                @Parameter(type = Type.INT, direction = Direction.IN)
                int index);
        
        @Method(declaringClass = "hrt.HRTImpl")
        @Constraints(processorCPUCount = 1, memoryPhysicalSize = 1.0f)
        void genConfigFile(
        		@Parameter(type = Type.STRING, direction = Direction.IN)
        		String startDate,
        		@Parameter(type = Type.STRING, direction = Direction.IN)
        		String duration,
        		@Parameter(type = Type.FILE, direction = Direction.OUT)
        		String confFile);
        
        //TODO: Write the mergeMonitorLogs method interface

}
